#pragma once

#include "types.h"

extern u64 zobristTurn[2];			// zobrist hash for player turn
extern u64 zobristKeys[256*64];		// zobrist hash for board positions
extern u64 zobristEP[64];			// zobrist hash for enpassant pawn
extern u64 zobristCast[2][0x89];	// zobrist hash for castling rights for each side (new bitboard only...)

void initZobrist();
